function init()
	gun.name = "Spawner axel"
	gun.fireDelay = 0
	
	gun.enabled = 0

	return 0
end


function update()

	return 0
end


function fire()

	minion = ""
	minionnum = 0
	roll = math.random(1,4)
	if roll == 1 then
		minion = "Interceptor"
		minionnum = 4
	elseif roll == 2 then
		minion = "Lancer"
		minionnum = 2
	elseif roll == 3 then
		minion = "Artilleryturret1"
		minionnum = 1
	elseif roll == 4 then
		minion = "Destrier"
		minionnum = 1
	end
	
	faction = gun.owner.faction
	for i = 1, minionnum do
		--create a minion
		spawnx = gun.firex + math.random(-1000, 1000)
		spawny = gun.firey + math.random(-1000, 1000)

		stage.warpShip(minion, "", spawnx, spawny, faction, "", 500)
	end

	return 0
end

function shot_update()

	return 0
end